Subject: Request for News

From: [email-masked] (Anthony Alvarez)
Date: Thu, 19 Oct 1995 22:49:08 GMT

Introducing ArchiWeb plaza at  http://www.archiweb.com.

Our primary mission is to be a resource for Japanese architects. But 
equally important is a desire to help non-Japanese Architects "import"

their technolgy, work and ideas to Japan.  We have collected some 
links related to this newsgroup in our Digital Library. Please visit
us.